Skip to main content

Get a list of tags for a device based on an epoch range

POST /v1/device/{deviceID}/tag/list

Summary

Get a list of tags for a device based on an epoch range.

Details

Request body: JSON object with the epoch range to query.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
deviceIDpathinteger (int64)YesThe device ID.1

Request Body

Required: Yes

application/json

  • deviceIDList (array<integer (int64)>, optional)
    • array of integer (int64)
      • integer (int64)
  • tagIDList (array<integer (int64)>, optional)
    • array of integer (int64)
      • integer (int64)
  • startEpoch (integer (int64), optional)
  • endEpoch (integer (int64), optional)
  • count (integer (int64), optional)
  • order (string, optional)

Example

{
"deviceIDList": [
1
],
"tagIDList": [
1
],
"startEpoch": 1711800000,
"endEpoch": 1711800000,
"count": 25,
"order": "Example value"
}

Responses

200

Success

application/json

  • array of Tag
    • key (integer (int64), optional)
    • tagName (string, optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"tagName": "Example value",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]